{
    attributes = (
        {
            columnName = "C_TYPE_PRIME"; 
            externalType = VARCHAR2; 
            name = code; 
            serverTimeZone = "Europe/Paris"; 
            valueClassName = NSString; 
            valueType = S; 
            width = 3; 
        }, 
        {
            columnName = "LC_TYPE_PRIME"; 
            externalType = VARCHAR2; 
            name = libelleCourt; 
            serverTimeZone = "Europe/Paris"; 
            valueClassName = NSString; 
            valueType = S; 
            width = 20; 
        }, 
        {
            columnName = "LL_TYPE_PRIME"; 
            externalType = VARCHAR2; 
            name = libelleLong; 
            serverTimeZone = "Europe/Paris"; 
            valueClassName = NSString; 
            valueType = S; 
            width = 70; 
        }, 
        {
            allowsNull = Y; 
            columnName = "TEM_PARAM"; 
            externalType = VARCHAR2; 
            name = temParam; 
            serverTimeZone = "Europe/Paris"; 
            valueClassName = NSString; 
            valueType = S; 
            width = 1; 
        }
    ); 
    attributesUsedForLocking = (code, libelleCourt, libelleLong, temParam); 
    className = "org.cocktail.mangue.common.modele.nomenclatures.EOTypePrime"; 
    classProperties = (code, libelleCourt, libelleLong, temParam); 
    externalName = "GRHUM.TYPE_PRIME"; 
    fetchSpecificationDictionary = {}; 
    internalInfo = {"_clientClassPropertyNames" = (code, libelleCourt, libelleLong, temParam); }; 
    name = TypePrime; 
    primaryKeyAttributes = (code); 
}
